﻿/* Override DevExpress/Bootstrap CSS Variables */
:root {
    --bs-primary: #00205B;
    --bs-body-font-size: 0.875rem;
    --bs-body-line-height: 1.4285;
    --bs-font-sans-serif: 'Nunito Sans', system-ui, -apple-system,  "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans",
        "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";

    --dxbl-group-header-bg: #00205B;
    --dxbl-fl-group-header-bg: #00205B;
    --dxbl-btn-hover-bg: #00153f;
}
.dxbl-btn-standalone.dxbl-btn-primary {
    --dxbl-btn-hover-bg: #00153f;
}
.dxbl-modal {
    --dxbl-popup-max-width: 600px;
}
.tooltip {
    --bs-tooltip-bg: #007bff;
}
/* End Override DevExpress CSS Variables */

.tooltip-icon {
    color: #007bff;
}

.btn {
    display: flex;
    flex-direction: column;
}
.btn-primary {
    background: var(--bs-primary, var(--primary));
    border-color: var(--bs-primary, var(--primary));
}
.btn-primary:hover {
    background: var(--dxbl-btn-hover-bg);
}
.btn-primary.active,.btn-primary:active {
    background: var(--bs-primary, var(--primary));
}
.btn-primary:focus {
    background: var(--bs-primary, var(--primary));
    border-color: var(--bs-primary, var(--primary));
    box-shadow: none;
    outline: var(--bs-primary) solid 0.125rem;
    outline-offset: 0.063rem;
}
.btn span, .dxbl-btn span {
    margin: -0.125em 0 0.125em 0;
}
.btn span.bi, .dxbl-btn span.bi {
    margin: -0.063rem 0 0.063rem 0;
}

main {
    height: 100%;
}

.instructionCardLayout {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /*border-radius: 5px;*/
}
.instructionCardLayout span {
    word-wrap: break-word;
    max-width: 100%;
}
@media (max-width: 480px) {
    .instructionCardLayout {
        font-size: 12px;
        padding: 0.5rem;
    }
}

.flex-form {
    display: flex;
    width: 100%;
    justify-content: center;
    flex-direction: column;
    margin-left: 20px;
}

.flex-form-row {
    display: flex;
    width: 100%;
    flex-direction: row;
    margin-left: 20px;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

/*AgreementForm.css*/

/*AgencySignerForm.css*/
.radio-group {
    display: inline-block;
    text-align: left;
}

.alignment {
    display: flex;
    justify-content: center;
    align-items: center;
}


.dx-demo-radio-group-label {
    font-size: inherit;
    font-weight: 600;
}

.dx-demo-radio-group-label.dx-demo-small {
    font-size: 0.75rem;
}

.dx-demo-radio-group-label.dx-demo-large {
    font-size: 1rem;
}

.dx-demo-form-layout-width {
    width: 100%;
}

.dx-demo-radio-group.dx-demo-radio-group-indented {
    padding-bottom: 1rem;
}

.dx-demo-radio-group > .dx-demo-radio + .dx-demo-radio {
    padding-top: 0.5rem;
}

/*PersonalDetailsForm.razor*/

.card-info {
    font-size: 10px;
    font-weight: bold;
    margin-left: 10px;
}

.form-label {
    flex: 0 0 100px;
    margin: 10px 10px;
}

/* AgencySignerForm - Layout css*/

.formLayoutGrp {
    width: 100%;
    border-radius: 8px;
    /*    border:1px solid black;
*/
}

/* Ensure devexpress rows extend to 100% width. We add dxbl-row-item-spacing-x
    to account for the negative margins on dxbl-row class. */
.dxbl-row {
    width: calc(100% + var(--dxbl-row-item-spacing-x))
}

/* Common - Header CSS class*/
.dxbl-group .dxbl-group-header .dxbl-text {
    font-size: 16px;
}

.heading-background {
    color: white;
}

.additionalEmailHeader {
    margin-left: 12px;
    margin-top: 12px;
}

.versionCSS {
    text-align-last: center;
    font-size: 10px;
    color:red;
}

.topnav {
    background-color: #00205B;
    color: white;
    padding-left: 48px;
    min-height: 30px;
    padding-top: 5px;
}

.headerBar {
    padding-top: 0px;
}

.pmp-logo {
    height: 80px;
    margin: -0.75em 0;
}
.private-logo {
    height: 55px;
    margin: 2px 0;
}

.footer-data {
    text-align: center;
}

.gridHeaderCSS {
    justify-content: center;
    display: flex;
}

.alignRightCSS {
    display: flex;
    /*justify-content:flex-end;*/
}


/*InviteInsuredForm.css*/
.custom-placeholder ::-webkit-input-placeholder {
    font-size: 10px;
}

.custom-placeholder::moz-placeholder {
    font-size: 10px;
}

.custom-placeholder:-ms-input-placeholder {
    font-size: 10px;
}

.custom-placeholder:-moz-placeholder {
    font-size: 10px;
}

.word-count {
    font-size: 0.9em;
    color: gray;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    flex-wrap: wrap;
}

/*Media Query for low resolution  Tablets and Mobile Devices*/
@media(max-width: 1024px) {
    .flex-form {
        margin-left: 0;
    }

    .flex-form-row {
        margin-left: 0;
        flex-direction: column;
    }
}

.header {
    position: sticky;
    top: 0;
    width: 100%;
    background: white;
    z-index: 1000;
}

.sticky-header-bar {
    position: sticky;
    top: 87px;
    margin: calc(-1em - 2px) -2px -1em -2px;
    z-index: 999
}

@media(min-width: 641px) {
    .sticky-header-bar {
        margin: calc(-1em - 2px) -1em -1em -1em;
    }
}

/* Start bs-stepper customization */
.bs-stepper {
    font-size: 1rem;
}

.bs-stepper-line,
.bs-stepper .line {
    -ms-flex: 1 0 10px;
    flex: 1 0 10px;
    background-color: #6c757d;
}

.vertical .bs-stepper-line,
.vertical.bs-stepper .line {
    -ms-flex: 1 0 55px;
    flex: 1 0 55px;
}

.bs-stepper.vertical .line {
    margin-left: 20px;
}

.completed .bs-stepper-circle {
    background-color: #4eb300;
}

.bs-stepper-circle {
    line-height: 0.75em;
}
/* End bs-stepper customization */

/* Start card customization */
.card-header {
    background-color: var(--dxbl-group-header-bg, unset);
    color: white;
}
.card-header:first-child {
    border-radius: 5px 5px 0 0;
}
/* End card customization */

@media only screen and (max-width:570px) {
    .info-popup {
        max-height: 400px;
    }
}
